Package org.kapott.hbci.GV

# Class GVLastSEPA

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl
org.kapott.hbci.GV.AbstractSEPAGV
org.kapott.hbci.GV.AbstractGVLastSEPA
org.kapott.hbci.GV.GVLastSEPA

All Implemented Interfaces:
  `HBCIJob`

Direct Known Subclasses:
  `GVMultiLastSEPA`

public class GVLastSEPA extends AbstractGVLastSEPA
Implementierung des HBCI-Jobs fuer die SEPA-Basis-Lastschrift.

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`ENDTOEND_ID_NOTPROVIDED, sepaParams`

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`GVLastSEPA(HBCIHandler handler)`
ct.
`GVLastSEPA(HBCIHandler handler, String lowlevelName, AbstractGVRLastSEPA result)`
ct.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getLowlevelName()`
Liefert den Lowlevel-Jobnamen.

### Methods inherited from class org.kapott.hbci.GV.AbstractGVLastSEPA

`extractResults, getDefaultPainVersion, getPainJobName, getPainType`

### Methods inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`addConstraint, createSEPAFromParams, getLowlevelParam, getPainVersion, getSEPAGenerator, getSEPAMessageId, getSEPAParam, setLowlevelParam, setSEPAParam, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, fillJobResultFromTanJob, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GVLastSEPA

public GVLastSEPA(HBCIHandler handler)
ct.

Parameters:
  `handler` -

### GVLastSEPA

public GVLastSEPA(HBCIHandler handler, String lowlevelName, AbstractGVRLastSEPA result)
ct.

Parameters:
  `handler` -
  `lowlevelName` -
  `result` -

## Method Details

### getLowlevelName

public static String getLowlevelName()
Liefert den Lowlevel-Jobnamen.

Returns:
  der Lowlevel-Jobname.